package main.config;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

import com.justep.util.URLUtil;

@Component
public class OauthConfig {
	
	
	
	
	public String getOauthCallbackUrl(String location) {
		String url = this.getOauthServer() + this.getAuthorizeApi() +  "?client_id=" + this.getClientId() + "&redirect_uri=" + 
		 	    URLUtil.encodeURIComponent(this.getRedirectUri() + "?location=" + URLUtil.encodeURIComponent(location));
		return url;
	}
	
	
	
	
	public String oauthServer = "";
	
	
	public String authorizeApi = "/sso/oauth/authorize";
	
	public String accessTokenApi = "/sso/oauth/accessToken";
	
	public String userInfoApi = "/sso/oauth/userInfo";
	
	public String portalCookieApi = "/portal/getCookie.action";
	
	
	public String getPortalCookieApi() {
		return portalCookieApi;
	}



	public void setPortalCookieApi(String portalCookieApi) {
		this.portalCookieApi = portalCookieApi;
	}

	public String clientId = "";
	
	public String clientSecret = "";
	
	public String redirectUri = "https://ehigerslmdevtrunka-slmdevtrunk-ide.trunk.xcaas.net/main/oauth/callback";
	
	
	
	
	public String getAccessTokenApiUrl() {
		return this.getOauthServer() + this.getAccessTokenApi();
	}
	
	
	
	public String getUserInfoApiUrl() {
		return this.getOauthServer() + this.getUserInfoApi();
	}
	
	
	public String getPortalCookieApiUrl() {
		return this.getOauthServer() + this.getPortalCookieApi();
	}
	
	//基础getter setter
	public String getAuthorizeApi() {
		return authorizeApi;
	}




	public void setAuthorizeApi(String authorizeApi) {
		this.authorizeApi = authorizeApi;
	}




	public String getAccessTokenApi() {
		return accessTokenApi;
	}




	public void setAccessTokenApi(String accessTokenApi) {
		this.accessTokenApi = accessTokenApi;
	}




	public String getUserInfoApi() {
		return userInfoApi;
	}




	public void setUserInfoApi(String userInfoApi) {
		this.userInfoApi = userInfoApi;
	}




	public String getOauthServer() {
		return oauthServer;
	}

	public void setOauthServer(String oauthServer) {
		this.oauthServer = oauthServer;
	}

	

	public String getClientId() {
		return clientId;
	}

	public void setClientId(String clientId) {
		this.clientId = clientId;
	}

	public String getClientSecret() {
		return clientSecret;
	}

	public void setClientSecret(String clientSecret) {
		this.clientSecret = clientSecret;
	}

	public String getRedirectUri() {
		return redirectUri;
	}

	public void setRedirectUri(String redirectUri) {
		this.redirectUri = redirectUri;
	}
	
	
}
