package main.service;

import java.util.Map;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.justep.util.EncryptUtil;
import com.justep.util.SpringWebUtil;
import com.justep.util.net.ServiceUtil;

import main.controller.OauthController;


@Service
public class UaaService {
	
	private static final Logger logger = LoggerFactory.getLogger(OauthController.class);
	
	public String[] registerShadowUser(String appId, String appName, String  externalUserId,String externalUserName,String externalUserNickName,String type) {
		
		JSONObject data = new JSONObject();
		String unionId = externalUserId;
		String openId = EncryptUtil.md5(externalUserId + appId);
		data.put("unionId", unionId);
		data.put("openId", openId);
		data.put("appName", appName);
		data.put("appId", appId);
		data.put("nickname", externalUserNickName);
		data.put("type", type);
		data.put("username", externalUserName);
		logger.info("注册影子账户{},{}",externalUserNickName,externalUserName);
		
		Map<String, String> extHeaders = ServiceUtil.getExtHeaders(SpringWebUtil.getRequest());
		extHeaders.put("content-type", "application/json;charset=UTF-8");
		extHeaders.put("Accept", "application/json");
		
		
		logger.info("注册影子账户{}",JSON.toJSONString(data));
		
		JSONObject uinfo =  ServiceUtil.post("entry" + "/uaa/Users/registerShadowUser",data,extHeaders);
		String username = uinfo.getString("username");
		String password = uinfo.getString("password");
		
		
		return new String[] {username,password};
			
	}
	
}
